Bug 1487689 - duplicate users get created from ldap logins
Summary: duplicate users get created from ldap logins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.8.2
Assignee: Joe Vlcek
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:externalauth:openldap:ad
Depends On: 1424618 1760417
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 15:30 UTC by Satoe Imaishi
Modified: 2019-10-10 13:51 UTC (History)
12 users (show)

Fixed In Version: 5.8.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1424618
Environment:
Last Closed: 2017-10-24 00:41:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 3 CFME Bot 2017-09-05 15:26:07 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/8954820c87643ec333fe01af1c16bcf186fb3883

commit 8954820c87643ec333fe01af1c16bcf186fb3883
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Aug 28 17:52:21 2017 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Fri Sep 1 17:04:24 2017 -0400

    Converting userids to UPN format to avoid duplicate user records
    
    Manually cherry-picked out of
    https://github.com/ManageIQ/manageiq/pull/15535
    
    (cherry picked from commit 53c1704a56db62a1751665f52323c0e496f32669)
    Merge pull request #15535 from jvlcek/bz1424618_dup_users
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1487689

 app/models/authenticator.rb             | 11 ++--
 app/models/authenticator/httpd.rb       | 45 +++++++++++++++--
 spec/models/authenticator/httpd_spec.rb | 89 ++++++++++++++++++++++++++++++---
 spec/models/authenticator_spec.rb       |  4 +-
 4 files changed, 130 insertions(+), 19 deletions(-)

Comment 4 CFME Bot 2017-09-05 15:27:52 UTC
New commit detected on ManageIQ/manageiq-appliance/fine:
https://github.com/ManageIQ/manageiq-appliance/commit/b71bc0c9c288258ed39ed97b3ac9e0cf251c0a54

commit b71bc0c9c288258ed39ed97b3ac9e0cf251c0a54
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Aug 31 18:16:02 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Sep 5 11:23:44 2017 -0400

    Merge pull request #127 from jvlcek/bz1424618_dup_users
    
    Add support for the domain user attribute
    (cherry picked from commit 5577745fb5248b390d534ec7565c56e47db45e44)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1487689

 TEMPLATE/etc/httpd/conf.d/manageiq-external-auth.conf.erb | 2 ++
 TEMPLATE/etc/httpd/conf.d/manageiq-remote-user.conf       | 2 ++
 2 files changed, 4 insertions(+)

Comment 5 CFME Bot 2017-09-05 15:28:22 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/bd6144de033033d827b1c7c85be40cf2fef4bddb

commit bd6144de033033d827b1c7c85be40cf2fef4bddb
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Aug 31 18:19:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Sep 5 11:25:40 2017 -0400

    Merge pull request #250 from jvlcek/bz1424618_dup_users
    
    Add support for the external auth domain user attribute
    (cherry picked from commit a8955426ccd2492a51934a3f7bfe45b291072a38)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1487689

 lib/gems/pending/appliance_console/external_httpd_configuration.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 6 Matt Pusateri 2017-10-02 17:31:47 UTC
Verified on 5.8.2.1

Comment 8 errata-xmlrpc 2017-10-24 00:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.